//Create a C source file called [jtag_map.c] that maps the UrJTAG
//control byte to the USB16 jtag port I/O bits.
//The TDO input is set high to enable I/O pullups.
//Don't edit this file since it is created from a perl script.
//Changes will be lost with each new execution of the script.
#include <avr/pgmspace.h>

char jtag_map[] PROGMEM = {
	0x08,	0x0a,	0x09,	0x0b,	0x48,	0x4a,	0x49,	0x4b,
	0x88,	0x8a,	0x89,	0x8b,	0xc8,	0xca,	0xc9,	0xcb,
	0x0c,	0x0e,	0x0d,	0x0f,	0x4c,	0x4e,	0x4d,	0x4f,
	0x8c,	0x8e,	0x8d,	0x8f,	0xcc,	0xce,	0xcd,	0xcf,
	0x28,	0x2a,	0x29,	0x2b,	0x68,	0x6a,	0x69,	0x6b,
	0xa8,	0xaa,	0xa9,	0xab,	0xe8,	0xea,	0xe9,	0xeb,
	0x2c,	0x2e,	0x2d,	0x2f,	0x6c,	0x6e,	0x6d,	0x6f,
	0xac,	0xae,	0xad,	0xaf,	0xec,	0xee,	0xed,	0xef
 };

