//HID key to ascii mapping
//Copyright D. Commons 2008
#ifndef _KEYBOARD_TASK_H_
#define _KEYBOARD_TASK_H_
#include <avr/pgmspace.h>
// HID MODIFIERS KEYS
// NONE	 = 0   	CTRL = 1	SHIFT = 2	ALT   = 4  	GUI	 = 8
char HID_table_modifiers[] PROGMEM = {
	  0,   0,   0,   0,   0,   0,   0,   0,	// , , , , , , ,BELL
	  0,   0,   0,   0,   0,   0,   0,   0,	//BS,TAB,LF, , ,CR, ,
	  0,   0,   0,   0,   0,   0,   0,   0,	//
	  0,   0,   0,   0,   0,   0,   0,   0, //
	  0,   2,   2,   2,   2,   2,   2,   0, // ,!,",#,$,%,&,`
	  2,   2,   2,   2,   0,   0,   0,   0, //(,),*,+,,,-,.,/
	  0,   0,   0,   0,   0,   0,   0,   0,	//0,1,2,3,4,5,6,7
	  0,   0,   0,   2,   2,   0,   2,   2,	//8,9,:,;,<,=,>,?
	  2,   2,   2,   2,   2,   2,   2,   2,	//@,A,B,C,D,E,F,G
	  2,   2,   2,   2,   2,   2,   2,   2,	//H,I,J,K,L,M,N,O
	  2,   2,   2,   2,   2,   2,   2,   2,	//P,Q,R,S,T,U,V,W
	  2,   2,   2,   0,   0,   0,   2,   2,	//X,Y,Z,[,\,],^,_
	  0,   0,   0,   0,   0,   0,   0,   0,	//`,a,b,c,d,e,f,g
	  0,   0,   0,   0,   0,   0,   0,   0,	//h,i,j,k,l,m,n,o
	  0,   0,   0,   0,   0,   0,   0,   0,	//p,q,r,s,t,u,v,w
	  0,   0,   0,   2,   2,   2,   2,   0	//x,y,z,{,|,},~,
};

char HID_table_ascii[] PROGMEM = {
	  0,   0,   0,   0,   0,   0,   0,   0,	// , , , , , , ,BELL
	 42,  43,   0,   0,   0,  40,   0,   0,	//BS,TAB,LF, , ,CR, ,
	  0,   0,   0,   0,   0,   0,   0,   0,	//
	  0,   0,   0,   0,   0,   0,   0,   0, //
	 44,  30,  52,  32,  33,  34,  36,  52, // ,!,",#,$,%,&,`
	 38,  39,  85,  87,  54,  45,  55,  56, //(,),*,+,,,-,.,/
	 39,  30,  31,  32,  33,  34,  35,  36,	//0,1,2,3,4,5,6,7
	 37,  38,  51,  51,  54,  46,  55,  56,	//8,9,:,;,<,=,>,?
	 85,   4,   5,   6,   7,   8,   9,  10,	//@,A,B,C,D,E,F,G
	 11,  12,  13,  14,  15,  16,  17,  18,	//H,I,J,K,L,M,N,O
	 19,  20,  21,  22,  23,  24,  25,  26,	//P,Q,R,S,T,U,V,W
	 27,  28,  29,  47,  49,  48,  35,  45,	//X,Y,Z,[,\,],^,_
	  0,   4,   5,   6,   7,   8,   9,  10,	//`,a,b,c,d,e,f,g
	 11,  12,  13,  14,  15,  16,  17,  18,	//h,i,j,k,l,m,n,o
	 19,  20,  21,  22,  23,  24,  25,  26,	//p,q,r,s,t,u,v,w
	 27,  28,  29,  47,  49,  48,  53,   0	//x,y,z,{,|,},~,
};

//_____ D E C L A R A T I O N S ____________________________________________
#define HID_UP         	82
#define HID_DOWN        81
#define HID_LEFT        80
#define HID_RIGHT       79
#endif /* _KEYBOARD_TASK_H_ */
