#ifndef _typedefs_H_
#define _typedefs_H_
//_____ D E C L A R A T I O N S ____________________________________________
typedef unsigned char       u08;
typedef unsigned short      u16;
typedef unsigned long      	u32;
typedef signed char  		s08;
typedef signed short 		s16;
typedef signed long 		s32;
typedef unsigned char       Bool;
typedef Bool                Status_bool;

//_____ M A C R O S ________________________________________________________
//??????????????????????????See MyUSB for this......
// LITTLE_ENDIAN     
// 16bit: (LSB,MSB), 32bit: (LSW,MSW) or (LSB0,LSB1,LSB2,LSB3) 
#define MSB(u16)        (((u08* )&u16)[1])
#define LSB(u16)        (((u08* )&u16)[0])
#define MSW(u32)        (((u16* )&u32)[1])
#define LSW(u32)        (((u16* )&u32)[0])
#define LSB3(u32)       (((u08* )&u32)[3])
#define LSB2(u32)       (((u08* )&u32)[2])
#define LSB1(u32)       (((u08* )&u32)[1])
#define LSB0(u32)       (((u08* )&u32)[0])

#define USBread32		(UEDATX | (UEDATX<<8) | (UEDATX<<16) | (UEDATX<<24))
/*#define USBwrite32(u32)	UEDATX = (((u08*)&u32)[0]);\
						UEDATX = (((u08*)&u32)[1]);\
						UEDATX = (((u08*)&u32)[2]);\
						UEDATX = (((u08*)&u32)[3])*/

#define backspace 	'\b'
#define del			'\x7F'
#define bell		'\a'
#define CR			'\r'
#define new_line	'\n'
#define tab			'\t'
#define space		' '

// Constants
#ifndef FALSE
#define FALSE   0
#endif
#ifndef TRUE
#define TRUE    1
#endif
#define MIN(a,b)			((a<b)?(a):(b))

#endif //_typedefs_H_


